Package proton :: Class SSL

[frames] | no frames]

# Class SSL

source code

    object --+
             |
            SSL

Instance Methods

cipher_name(self) | source code

protocol_name(self) | source code

resume_status(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

a new object with type S, a subtype of T

__new__(cls, transport, domain, session_details=None) Enforce a singleton SSL object per Transport | source code

present() | source code

Class Variables
| RESUME_NEW = `1`
| RESUME_REUSED = `2`
| RESUME_UNKNOWN = `0`

Properties
| peer_hostname Manage the expected name of the remote peer.
| remote_subject
Inherited from `object`: `__class__`

Method Details

### __new__(cls, transport, domain, session_details=None)
Static Method

source code

Enforce a singleton SSL object per Transport

Returns: a new object with type S, a subtype of T
Overrides: object.__new__

Property Details

### peer_hostname

Manage the expected name of the remote peer. Used to authenticate the remote.

Get Method:
  _get_peer_hostname(self)
Set Method:
  _set_peer_hostname(self, hostname)

### remote_subject

Get Method:
  unreachable.remote_subject(self)